#ifndef NAMEABLECONTAINER_HPP_INCLUDED
#define NAMEABLECONTAINER_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include "Nameable.hpp"

namespace Internal
{
    class NameableContainer : public Object
    {
        public:
            NameableContainer();
            NameableContainer(const void* Obj);
            NameableContainer(const NameableContainer& N);
            static Class GetClass();

            std::vector<Nameable> GetNameables() const;
            Nameable GetNameables(std::int32_t I) const;
            std::int32_t GetSize() const;

    };
}

#endif // NAMEABLECONTAINER_HPP_INCLUDED
